package com.fs.hospital.service;

import java.util.List;
import com.fs.hospital.domain.HospitalPost;

/**
 * 岗位信息Service接口
 *
 * @author fs
 * @date 2024-02-26
 */
public interface IHospitalPostService
{
    /**
     * 查询岗位信息
     *
     * @param postId 岗位信息主键
     * @return 岗位信息
     */
    public HospitalPost selectHospitalPostByPostId(Long postId);

    /**
     * 查询岗位信息列表
     *
     * @param hospitalPost 岗位信息
     * @return 岗位信息集合
     */
    public List<HospitalPost> selectHospitalPostList(HospitalPost hospitalPost);

    /**
     * 新增岗位信息
     *
     * @param hospitalPost 岗位信息
     * @return 结果
     */
    public int insertHospitalPost(HospitalPost hospitalPost);

    /**
     * 修改岗位信息
     *
     * @param hospitalPost 岗位信息
     * @return 结果
     */
    public int updateHospitalPost(HospitalPost hospitalPost);

    /**
     * 批量删除岗位信息
     *
     * @param postIds 需要删除的岗位信息主键集合
     * @return 结果
     */
    public int deleteHospitalPostByPostIds(Long[] postIds);

    /**
     * 删除岗位信息信息
     *
     * @param postId 岗位信息主键
     * @return 结果
     */
    public int deleteHospitalPostByPostId(Long postId);

    List<Integer> selectPostListByUserId(Long userId);

    int checkPostCodeUnique(HospitalPost post);
}
